<?php
/*##################################################
 #                               lastdl.php
 #                            -------------------
 #        Menu adapté du menu LastNews
 #        Mai 2010 / SaTurNin
 #        Pour PHPBoost 4.0
 #********************************************
 #      Adapté par : Swan
 #	    Date	  : Le 04/03/2015 
 #		Site      : http://easy-design.net
 ###################################################*/
 
function menu_lastdl_lastdl($position, $block)
	{
	//classe globale
	global $Sql;
	
	// Le template
 	$tpl = new FileTemplate('menus/lastdl/lastdl.tpl');	
	
	//	la classe menu_service
	MenuService::assign_positions_conditions($tpl, $block);
 
	$i = 1;
	$result = $Sql->query_while("SELECT id, idcat, title, count, timestamp 
	FROM " . PREFIX . "download
	WHERE visible = 1 AND approved = 1
	ORDER BY timestamp DESC
	" . $Sql->limit(0, 10), __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result))
		{
		 $tpl->assign_block_vars('last_dl', array(
			'ID' => $i,	
			'TITLE' => $row['title'],
			'DATE' => gmdate_format('date_format_short', $row['timestamp']),
			'LINK' => url('download.php?id=' . $row['id'], 'download-' . $row['id'] . '+' . Url::encode_rewrite($row['title']) . '.php'),
			'COUNT' => $row['count']
		 ));
		 $i++;
	}
	$Sql->query_close($result);
 
     return $tpl->render();
	}
 
?>